xadd tombstones to everything
  xencase obstacles in their own struct
  xadjust collision detection
  xadjust kListen
  xadjust deleteThing
  -anything else that might be affected by tombstones
-spell stuff
  -HUD
  -more spells:
    xbeam
    xphase-shift
    -time-warp
    -pyro
    -cryo
    -quake
    -ESP
    -majesty
  -add kaos for spell unlocks
  -add save data for spell knowledge
  -put spell animations in own include file in Kaos.h/Kaos.c
-encapsulate warp function?